package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4G1 extends MwfRequest<MWF4G1, MWF4G1Response> {

    @Parameter(name = "ADRESA_BYDLISTE_CO")
    MWF4G1 adresaBydlisteCo(String adresaBydlisteCo);
    @Parameter(name = "ADRESA_BYDLISTE_CP")
    MWF4G1 adresaBydlisteCp(String adresaBydlisteCp);
    @Parameter(name = "ADRESA_BYDLISTE_MESTO")
    MWF4G1 adresaBydlisteMesto(String adresaBydlisteMesto);
    @Parameter(name = "ADRESA_BYDLISTE_PSC")
    MWF4G1 adresaBydlistePsc(String adresaBydlistePsc);
    @Parameter(name = "ADRESA_BYDLISTE_ULICE")
    MWF4G1 adresaBydlisteUlice(String adresaBydlisteUlice);
    @Parameter(name = "ADRESA_BYDLISTE_ZEME")
    MWF4G1 adresaBydlisteZeme(String adresaBydlisteZeme);
    @Parameter(name = "ADRESA_KONTAKTNI_CO")
    MWF4G1 adresaKontaktniCo(String adresaKontaktniCo);
    @Parameter(name = "ADRESA_KONTAKTNI_CP")
    MWF4G1 adresaKontaktniCp(String adresaKontaktniCp);
    @Parameter(name = "ADRESA_KONTAKTNI_MESTO")
    MWF4G1 adresaKontaktniMesto(String adresaKontaktniMesto);
    @Parameter(name = "ADRESA_KONTAKTNI_PSC")
    MWF4G1 adresaKontaktniPsc(String adresaKontaktniPsc);
    @Parameter(name = "ADRESA_KONTAKTNI_ULICE")
    MWF4G1 adresaKontaktniUlice(String adresaKontaktniUlice);
    @Parameter(name = "ADRESA_KONTAKTNI_ZEME")
    MWF4G1 adresaKontaktniZeme(String adresaKontaktniZeme);
    @Parameter(name = "CIF")
    MWF4G1 cif(String cif);
    @Parameter(name = "CMDID")
    MWF4G1 cmdid(String cmdid);
    @Parameter(name = "DATUM_PODPISU")
    MWF4G1 datumPodpisu(java.util.Date datumPodpisu);
    @Parameter(name = "EMAIL")
    MWF4G1 email(String email);
    @Parameter(name = "ID_OBCHOD")
    MWF4G1 idObchod(String idObchod);
    @Parameter(name = "JMENO")
    MWF4G1 jmeno(String jmeno);
    @Parameter(name = "PLATNOST_DO")
    MWF4G1 platnostDo(java.util.Date platnostDo);
    @Parameter(name = "PLATNOST_OD")
    MWF4G1 platnostOd(java.util.Date platnostOd);
    @Parameter(name = "PODPIS_SMS")
    MWF4G1 podpisSms(String podpisSms);
    @Parameter(name = "PRIJMENI")
    MWF4G1 prijmeni(String prijmeni);
    @Parameter(name = "RC")
    MWF4G1 rc(String rc);
    @Parameter(name = "ROLE")
    MWF4G1 role(String role);
    @Parameter(name = "TELEFON1")
    MWF4G1 telefon1(String telefon1);
    @Parameter(name = "TELEFON2")
    MWF4G1 telefon2(String telefon2);
    @Parameter(name = "VYSE_POHLEDAVKY")
    MWF4G1 vysePohledavky(String vysePohledavky);
}
